URL structure
Supported methods and overview
POST- used to retrieve information about the current status of one or more Secure Objects (i.e. Incomplete, Created or Deleted) as well as one or more collections.
Detailed description
This API endpoint retrieves information about the current status of one or more Secure Objects (i.e. Incomplete, Created or Deleted) as well as one or more collections, based on their IDs. Collections can have one of two statuses - Created or Deleted. However, Deleted collections are not returned in responses from requests to this endpoint. Also returned in responses are details about the Covata user who owns each item returned in the response.Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
where theBearertoken is the appropriate access token.Content-Type: application/json
Optional parameters
The following optional parameter can be sent in the body of the POST request, as an individual member of a JSON object:- ids - An array of one or more item IDs (i.e. of Secure Objects and/or collections). Example ():
{}
Returns
A JSON-formatted response containing the following members:- count - .
- offset - .
-
items - .
- id - .
-
owner - .
- email - .
- firstName - .
- lastName - .
- id - .
- state - .

